package provide qwikstructure 0.1
#iset env(QWIKSTRUCTURE_BIN) "/home/dgomes/github/vmdshorts/secondary_structure_cpp/qwikStructure/qwikStructure_LINUXAMD64"

namespace eval ::qwikstructure:: {
	namespace export qwikstructure
	proc run {} {
		global env 
		# Select all protein CA 
		set sel [atomselect top "protein and name CA"]

    if { [$sel num] > 100000 } {
        puts "ERROR: QwikStructure is still limited to 100k residues.\nWe're working on it!"
        return 
    }   
		# Open the file for writing Phi angles
		set filePhi [file normalize [file tempfile] ]
		set fileId [open $filePhi w]

		# Iterate over the list and write each item to the file
		foreach item [$sel get phi] {
		  puts $fileId $item
		}

		# Close the file
		close $fileId

		# Open the file for writing Psi angles
		set filePsi [file normalize [file tempfile] ]
		set fileId [open $filePsi w]

		# Iterate over the list and write each item to the file
		foreach item [$sel get psi] {
			puts $fileId $item
		}

		# Close the file
		close $fileId

		# Create a sample 3-membered list
		set my_list [$sel get {x y z} ]

		# Open the file for writing
		set fileCoor [file normalize [file tempfile] ]
		set fileId [open $fileCoor w]

		# Iterate through each sublist (each line)
		foreach sublist $my_list {
			# Join the elements of the sublist with a space
			set line [join $sublist " "] 
			# Write the line to the file
			puts $fileId $line
		}

		# Close the file
		close $fileId
		
		set command "$env(QWIKSTRUCTURE_BIN) -phi $filePhi -psi $filePsi -ca $fileCoor"
		if {[catch {exec {*}$command} result]} {
			puts "Error running command: $result"
			return 1
		}

		$sel set structure [split $result ""]
		# Cleanup	
		file delete $filePhi
		file delete $filePsi
		file delete $fileCoor
	}
}
